> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable Project Insights

> Enables co-author insights for a project.

`Unary` · [`Insights`](/docs/api-reference/generated/insights/overview)

Enables co-author insights for a project. Idempotent.

## Endpoint

```text theme={null}
POST /api/gitpod.v1.InsightsService/EnableProjectInsights
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.InsightsService/EnableProjectInsights" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "projectId": "<project-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.insights_pb2 as insights_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = insights_pb2.EnableProjectInsightsRequest(
      project_id="<project-id>",
  )
  response = ona.services.insights.enable_project_insights(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { EnableProjectInsightsRequestSchema } from "@gitpod/sdk/gitpod/v1/insights_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(EnableProjectInsightsRequestSchema, {
      projectId: "<project-id>",
    });
    const response = await ona.services.insights.enableProjectInsights(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.EnableProjectInsightsRequest{
  		ProjectId: "<project-id>",
  	})
  	response, err := ona.Services.Insights.EnableProjectInsights(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "projectId": "<project-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.EnableProjectInsightsRequest`

EnableProjectInsightsRequest enables co-author insights for a project.

| Field       | Type   | Required | Description                                                      |
| ----------- | ------ | -------- | ---------------------------------------------------------------- |
| `projectId` | string | No       | Project to enable insights for. Constraints: `string.uuid=true`. |

## Response

`gitpod.v1.EnableProjectInsightsResponse`

This message has no fields.
